/*

  GLOBAL VARIABLES FOR PROJECT

*/

//--- 1. FONTS ---//

//- INCLUDE FONTS FILES -//

//Geometria
@include font-face('PT Sans', '../fonts/PTSans-Bold', 700, normal, woff woff2);
@include font-face('PT Sans', '../fonts/PTSans-Regular', 400, normal, woff woff2);
@include font-face('PT Sans', '../fonts/PTSans-Italic', 400, italic, woff woff2);

//- FONT FACE -//

$font-family-primary: 'PT Sans';

//- FONT SIZES -//

$font-size-primary: 20px;
$font-size-primary-smaller: $font-size-primary - 2;

$font-size-secondary: 16px;

$font-size-h1: 36px;
$font-size-h2: 30px;
$font-size-h3: 27px;
$font-size-h4: 20px;

//- LINE HEIGHT -//

$line-height-primary: 1.4;
$line-height-primary-smaller: $line-height-primary - 0.4;
$line-height-primary-bigger: $line-height-primary + 0.4;

//- FONT WEIGHT -//

$font-weight-regular: 400;
$font-weight-bold: 700;

//--- 2.COLORS ---//

$color-primary: #e0002f;

$color-pink: #ff98ae;

$color-black: #000;
$color-black-light: #1d1d1b;

$color-blue-dark: #121629;

$color-white: #fff;
$color-white-dark: #f4f6f5;

$color-gray: #bebebe;
$color-gray-dark: #a6a6a6;
$color-gray-darken: #858894;
$color-gray-light: #e5e5e5;
$color-gray-lighten: #e0e4e2;

$color-error: $color-primary;
$color-success: #0d9db8;
$color-warning: #C7E10F;

$color-background-body: $color-white;

//--- 3. BUTTONS ---//

$button: (
  min-width: 180px,
  padding: 0 30px,
  height: 50px,
  font-family: $font-family-primary,
  font-size: $font-size-primary-smaller,
  font-weight: $font-weight-bold,
  line-height: $line-height-primary,
  border-width: 1px,
  border-radius: 10px
);

//- Default -//

// background
$btn-default-background-color: transparent;
$btn-default-background-color-hover: $color-black-light;
$btn-default-background-color-active: darken($btn-default-background-color-hover, 10%);
$btn-default-background-color-focus: darken($btn-default-background-color-hover, 5%);

// color
$btn-default-color: $color-black-light;
$btn-default-color-hover: $color-white;
$btn-default-color-active: $btn-default-color-hover;
$btn-default-color-focus: $btn-default-color-hover;

// border
$btn-default-border-color: $color-black-light;
;
$btn-default-border-color-hover: $color-black-light;
$btn-default-border-color-active: darken($btn-default-border-color-hover, 10%);
$btn-default-border-color-focus: darken($btn-default-border-color-hover, 5%);

//- Primary -//

// background
$btn-primary-background-color: transparent;
$btn-primary-background-color-hover: $color-primary;
$btn-primary-background-color-active: darken($btn-primary-background-color-hover, 10%);
$btn-primary-background-color-focus: darken($btn-primary-background-color-hover, 5%);

// color
$btn-primary-color: $color-primary;
$btn-primary-color-hover: $color-white;
$btn-primary-color-active: $btn-primary-color-hover;
$btn-primary-color-focus: $btn-primary-color-hover;

// border
$btn-primary-border-color: $color-primary;
$btn-primary-border-color-hover: $color-primary;
$btn-primary-border-color-active: darken($btn-primary-border-color-hover, 10%);
$btn-primary-border-color-focus: darken($btn-primary-border-color-active, 5%);

//- SECONDARY -//

// background
$btn-secondary-background-color: transparent;
$btn-secondary-background-color-hover: $color-white;
$btn-secondary-background-color-active: darken($btn-secondary-background-color-hover, 10%);
$btn-secondary-background-color-focus: darken($btn-secondary-background-color-hover, 5%);

// color
$btn-secondary-color: $color-white;
$btn-secondary-color-hover: $color-primary;
$btn-secondary-color-active: $color-primary;
$btn-secondary-color-focus: $color-primary;

// border
$btn-secondary-border-color: $color-white;
$btn-secondary-border-color-hover: $color-white;
$btn-secondary-border-color-active: darken($btn-secondary-border-color, 10%);
$btn-secondary-border-color-focus: darken($btn-secondary-border-color, 5%);

//--- 4. FORM ---//

$form-group-gap: 40px;

//- INPUTS -//

$input: (
  width: 100%,
  height: 50px,
  padding: 0 20px 0 20px,
  font-family:$font-family-primary,
  font-size: $font-size-primary-smaller,
  font-weight: $font-weight-regular,
  color: $color-black-light,
  border: 0,
  border-radius: 10px,
  placeholder: $color-black-light,
  transition: all .3s ease,
  background: $color-gray-lighten
);

//- TEXTAREA -//

$textarea: (
  width: 100%,
  height: 145px,
  padding: 20px,
  font-family:$font-family-primary,
  font-size: $font-size-primary-smaller,
  font-weight: $font-weight-regular,
  color: $color-black-light,
  border: 0,
  border-radius: 10px,
  placeholder: $color-black-light,
  transition: all .3s ease,
  background: $color-gray-lighten
);

//--- 5. BREAKPOINTS ---//

$breakpoints: (
  "phone": 481px,
  "tablet-small": 601px,
  "tablet": 768px,
  "laptop": 991px,
  "desktop": 1200px,
  "desktop-l": 1366px,
  "desktop-max": 1920px,
);

//--- 6. Z INDEX ---// // z-index: z(overlay);

$z-layers: (
  back: -1,
  default: 1,
  button: 3,
  label-error: 2,
  header: 99,
  menu: 555,
  dropdown: 56,
  popup: 665
);
